package net.Chipperfluff.chipi.client.entity;

import net.minecraft.client.render.entity.BipedEntityRenderer;
import net.minecraft.client.render.entity.EntityRendererFactory;
import net.minecraft.client.render.entity.model.BipedEntityModel;
import net.minecraft.client.render.entity.model.EntityModelLayers;
import net.minecraft.util.Identifier;

import net.Chipperfluff.chipi.ChipiMod;
import net.Chipperfluff.chipi.entity.MepEntity;

public class MepRenderer extends BipedEntityRenderer<MepEntity, BipedEntityModel<MepEntity>> {

    private static final Identifier TEXTURE = new Identifier(ChipiMod.MOD_ID, "textures/entity/mep.png");

    public MepRenderer(EntityRendererFactory.Context ctx) {
        super(ctx, new BipedEntityModel<>(ctx.getPart(EntityModelLayers.PLAYER)), 0.5f);
    }

    @Override
    public Identifier getTexture(MepEntity entity) {
        return TEXTURE;
    }
}
